Index: alcyon/etmcfn.s
===================================================================
--- alcyon/etmcfn.s	(revision 7bf3856f4ff505a2174d89c937caf328029e3574)
+++ alcyon/etmcfn.s	(revision 7bf3856f4ff505a2174d89c937caf328029e3574)
@@ -0,0 +1,600 @@
+.globl _ebflag
+.globl _ebuf
+.globl _curfet
+.globl _cfetp
+.globl _infetp
+.globl _io_time
+.globl _io_lcd
+.globl _io_ser
+.globl _io_midi
+.globl _io_disk
+.globl _io_tone
+.globl _io_leds
+.globl _io_kbrd
+.globl _lcd_a0
+.globl _lcd_a1
+.globl _io_vreg
+.globl _io_vraw
+.globl _io_vram
+.globl _io_fpu
+.globl _v_regs
+.globl _v_odtab
+.globl _v_actab
+.globl _v_ct0
+.globl _v_gt1
+.globl _v_score
+.globl _v_cgtab
+.globl _v_curs0
+.globl _v_curs1
+.globl _v_curs2
+.globl _v_curs3
+.globl _v_curs4
+.globl _v_curs5
+.globl _v_curs6
+.globl _v_curs7
+.globl _v_tcur
+.globl _v_kbobj
+.globl _v_lnobj
+.globl _v_win0
+.globl _v_cur
+.globl _fc_sw
+.globl _fc_val
+.globl _instob
+.globl _curvce
+.globl _stccol
+.globl _stcrow
+.globl _wmcsel
+.globl _wmctag
+.globl _dspbuf
+.globl _idbox
+.globl _vbufs
+.globl _wslib
+.globl _et_mcfn
+.text
+_et_mcfn:
+~~et_mcfn:
+~n=8
+link R14,#-4
+*line 49
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 70(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+move.l #L2,-(sp)
+move.l #_ebuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 50
+move #1,_ebflag
+*line 52
+clr R0
+bra L1
+L1:unlk R14
+rts
+.globl _ef_mcfn
+.text
+_ef_mcfn:
+~~ef_mcfn:
+~n=8
+link R14,#0
+movem.l R6-R7,-(sp)
+~tmpval=R7
+*line 70
+clr _wmctag
+*line 71
+clr.b 2+_ebuf
+*line 72
+clr _ebflag
+*line 74
+move.b _ebuf,R7
+ext.w R7
+add #-48,R7
+muls #10,R7
+move.b 1+_ebuf,R0
+ext.w R0
+add R0,R7
+add #-48,R7
+*line 76
+*line 77
+cmp #12,R7
+blt L4
+*line 77
+move #-1,R0
+bra L3
+*line 78
+L4:
+*line 79
+move R7,R0
+move _curvce,R1
+muls #3938,R1
+add.l #_vbufs,R1
+move.l R1,R9
+move.b R0,70(R9)
+*line 80
+move _curvce,(sp)
+jsr _dosync
+*line 81
+move #1,_wmctag
+*line 82
+clr R0
+bra L3
+L3:tst.l (sp)+
+movem.l (sp)+,R7-R7
+unlk R14
+rts
+.globl _rd_mcfn
+.text
+_rd_mcfn:
+~~rd_mcfn:
+~n=8
+link R14,#-4
+*line 98
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 70(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+move.l #L6,-(sp)
+move.l #_dspbuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 100
+*line 101
+clr R0
+move 10+_v_regs,R0
+and #384,R0
+beq L7
+*line 101
+clr (sp)
+jsr _vbank
+*line 102
+L7:
+*line 103
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+move #16,-(sp)
+move #24,-(sp)
+move #5,-(sp)
+move #11,-(sp)
+move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 105
+clr R0
+bra L5
+L5:unlk R14
+rts
+.globl _nd_mcfn
+.text
+_nd_mcfn:
+~~nd_mcfn:
+~k=R7
+~n=8
+link R14,#0
+movem.l R4-R7,-(sp)
+~ec=R6
+~c=R5
+*line 124
+move 10(R14),R7
+*line 124
+move _stccol,R6
+move.l _cfetp,R8
+move 2(R8),R0
+sub R0,R6
+*line 125
+move R7,R0
+add #48,R0
+move R6,R9
+add.l #_ebuf,R9
+move.b R0,(R9)
+*line 126
+clr.b 2+_ebuf
+*line 128
+move R7,R0
+add #48,R0
+move.b R0,_dspbuf
+*line 129
+clr.b 1+_dspbuf
+*line 131
+*line 132
+clr R0
+move 10+_v_regs,R0
+and #384,R0
+beq L9
+*line 132
+clr (sp)
+jsr _vbank
+*line 133
+*line 134
+*line 135
+L9:
+*line 136
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+move _stccol,-(sp)
+move _stcrow,-(sp)
+move #5,-(sp)
+move #10,-(sp)
+move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 138
+jsr _advicur
+*line 140
+clr R0
+bra L8
+L8:tst.l (sp)+
+movem.l (sp)+,R5-R7
+unlk R14
+rts
+.globl _et_mwsn
+.text
+_et_mwsn:
+~~et_mwsn:
+~nn=8
+link R14,#-4
+*line 156
+move 8(R14),R0
+and #-256,R0
+beq L10000
+move #1,R0
+bra L10002
+L10000:clr R0
+L10002:move R0,_wmcsel
+*line 158
+*line 159
+tst _wmcsel
+beq L10003
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 73(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+bra L10005
+L10003:move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 72(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+L10005:add #1,(sp)
+move.l #L11,-(sp)
+move.l #_ebuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 161
+move #1,_ebflag
+*line 163
+clr R0
+bra L10
+L10:unlk R14
+rts
+.globl _ef_mwsn
+.text
+_ef_mwsn:
+~~ef_mwsn:
+~nn=8
+link R14,#0
+movem.l R6-R7/R13-R13,-(sp)
+~tmpval=R7
+~fpuws=R13
+*line 182
+move 8(R14),R0
+and #-256,R0
+beq L10006
+move #1,R0
+bra L10008
+L10006:clr R0
+L10008:move R0,_wmcsel
+*line 184
+clr _wmctag
+*line 185
+clr.b 2+_ebuf
+*line 186
+clr _ebflag
+*line 190
+move.b _ebuf,R7
+ext.w R7
+add #-48,R7
+muls #10,R7
+move.b 1+_ebuf,R0
+ext.w R0
+add R0,R7
+add #-48,R7
+*line 192
+*line 193
+cmp #1,R7
+blt L10009
+cmp #20,R7
+ble L13
+L10009:*line 193
+move #-1,R0
+bra L12
+*line 194
+*line 195
+L13:
+*line 196
+*line 196
+tst _wmcsel
+beq L14
+*line 197
+*line 198
+*line 199
+move R7,R0
+sub #1,R0
+move _curvce,R1
+muls #3938,R1
+add.l #_vbufs,R1
+move.l R1,R9
+move.b R0,73(R9)
+*line 200
+*line 201
+*line 202
+move #540,(sp)
+move R7,R0
+sub #1,R0
+muls #1080,R0
+add.l #_wslib,R0
+move.l R0,-(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #2858,(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 203
+*line 204
+move _curvce,R0
+move #9,R1
+asl R1,R0
+asl #1,R0
+ext.l R0
+move.l R0,R13
+add.l #_io_fpu,R13
+add.l #$2,R13
+*line 205
+*line 206
+move #254,(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #2858,(sp)
+move.l R13,-(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 207
+*line 208
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 2858(R8),-2(R13)
+*line 209
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 3364(R8),508(R13)
+*line 210
+bra L15
+L14:
+*line 211
+*line 212
+*line 213
+*line 214
+*line 215
+move R7,R0
+sub #1,R0
+move _curvce,R1
+muls #3938,R1
+add.l #_vbufs,R1
+move.l R1,R9
+move.b R0,72(R9)
+*line 216
+*line 217
+*line 218
+move #540,(sp)
+move R7,R0
+sub #1,R0
+muls #1080,R0
+add.l #_wslib,R0
+move.l R0,-(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #1778,(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 219
+*line 220
+move _curvce,R0
+move #9,R1
+asl R1,R0
+asl #1,R0
+ext.l R0
+move.l R0,R13
+add.l #_io_fpu,R13
+add.l #$202,R13
+*line 221
+*line 222
+move #254,(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #1778,(sp)
+move.l R13,-(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 223
+*line 224
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 1778(R8),-2(R13)
+*line 225
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 2284(R8),508(R13)
+L15:
+*line 228
+move #1,_wmctag
+*line 229
+clr R0
+bra L12
+L12:tst.l (sp)+
+movem.l (sp)+,R7-R7/R13-R13
+unlk R14
+rts
+.globl _rd_mwsn
+.text
+_rd_mwsn:
+~~rd_mwsn:
+~nn=8
+link R14,#-4
+*line 245
+move 8(R14),R0
+and #-256,R0
+beq L10010
+move #1,R0
+bra L10012
+L10010:clr R0
+L10012:move R0,_wmcsel
+*line 247
+*line 248
+tst _wmcsel
+beq L10013
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 73(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+bra L10015
+L10013:move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 72(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+L10015:add #1,(sp)
+move.l #L17,-(sp)
+move.l #_dspbuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 250
+*line 251
+clr R0
+move 10+_v_regs,R0
+and #384,R0
+beq L18
+*line 251
+clr (sp)
+jsr _vbank
+*line 252
+L18:
+*line 253
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+tst _wmcsel
+beq L10016
+move #16,-(sp)
+bra L10018
+L10016:move #12,-(sp)
+L10018:move #24,-(sp)
+move #6,-(sp)
+move #11,-(sp)
+move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 255
+clr R0
+bra L16
+L16:unlk R14
+rts
+.globl _nd_mwsn
+.text
+_nd_mwsn:
+~~nd_mwsn:
+~k=R7
+~nn=8
+link R14,#0
+movem.l R4-R7,-(sp)
+~ec=R6
+~c=R5
+*line 274
+move 10(R14),R7
+*line 274
+move _stccol,R6
+move.l _cfetp,R8
+move 2(R8),R0
+sub R0,R6
+*line 275
+move R7,R0
+add #48,R0
+move R6,R9
+add.l #_ebuf,R9
+move.b R0,(R9)
+*line 276
+clr.b 2+_ebuf
+*line 278
+move R7,R0
+add #48,R0
+move.b R0,_dspbuf
+*line 279
+clr.b 1+_dspbuf
+*line 281
+*line 282
+clr R0
+move 10+_v_regs,R0
+and #384,R0
+beq L20
+*line 282
+clr (sp)
+jsr _vbank
+*line 283
+L20:
+*line 284
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+move _stccol,-(sp)
+move _stcrow,-(sp)
+move #6,-(sp)
+move #10,-(sp)
+move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 286
+jsr _advicur
+*line 288
+clr R0
+bra L19
+L19:tst.l (sp)+
+movem.l (sp)+,R5-R7
+unlk R14
+rts
+.data
+L2:.dc.b $25,$30,$32,$64,$0
+L6:.dc.b $25,$30,$32,$64,$0
+L11:.dc.b $25,$30,$32,$64,$0
+L17:.dc.b $25,$30,$32,$64,$0
